#include "WimaServicePolygon.h"

WimaServicePolygon::WimaServicePolygon(QObject *parent):
    WimaPolygon (parent)
{
    this->setObjectName("Service Area");
}

WimaServicePolygon::WimaServicePolygon(QGCMapPolygon *other, QObject *parent):
    WimaPolygon (other, parent)
{

}

void WimaServicePolygon::setTakeOffPosition(QGeoCoordinate* coordinate)
{
    if(_takeOffPosition != *coordinate){
        _takeOffPosition = *coordinate;
        emit takeOffPositionChanged();
    }
}

void WimaServicePolygon::setLandPosition(QGeoCoordinate* coordinate)
{
    if(_landPosition != *coordinate){
        _landPosition = *coordinate;
        emit landPositionChanged();
    }
}

